.mud-main-content.auth-content {
    position: absolute;
    width: 100vw;
    height: 100vh;
    padding: 0;
}

.mud-paper.auth-card {
    padding: 20px 30px;
    box-shadow: var(--fg-shadow-box);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.auth-card button:not(.mud-input-adornment-icon-button) {
    width: 253px;
    height: 41px;
    border-radius: 8px;
}

.auth-card .mud-input-control {
    height: 41px;
}

.auth-card .mud-input-control input, .auth-card .mud-input>input.mud-input-root-outlined{
    padding: 0;
}

.auth-card .mud-input.mud-input-outlined fieldset.mud-input-outlined-border {
    border-radius: 8px;
    background-color: var(--fg-color-auth-bg);
    z-index: -1;
}

.auth-card .mud-input-control.mud-input-control-boolean-input {
    height: 24px;
}

.auth-card .mud-input-control.mud-input-control-boolean-input .mud-input-control-input-container {
    height: 24px;
}

.mud-drawer svg.mud-icon-root{
    width: 28px;
    height: 28px;
}

.auth-card .password-input .mud-icon-root {
    width: 16px;
    height: 16px;
}

.auth-card .password-input .mud-input-adornment {
    margin-inline-end: 8px;
}

.auth-card .password-input button.mud-button-root {
    width: 30px;
    height: 30px;
}

.password-input .mud-input-slot {
    position: relative;
}

.password-input .mud-input.mud-input-adorned-end::before {
    content: '';
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    background-image: url("/images/lock.svg");
    background-repeat: no-repeat;
    background-size: 20px 20px;
    pointer-events: none;
    z-index: 1;
}

.auth-card .password-input input.mud-input-root-outlined {
    margin-inline-start: 46px;
    padding-inline-start: 0!important;
}

.auth-card .mud-icon-root {
    height: 20px;
    width: 20px;
}